Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Jan 2024 18:18:30 -0500

> Hmmm, this would either mean stupendous and welcome
> simplification in eglot-server-programs

In the short term, most affected packages (like YASnippet as well) won't
benefit very much because they still need to accommodate Emacs<30.

> or horrible breakage there.  Or maybe something in between :-)  Seems
> risky, so I hope we give it adequate testing.

My preliminary tests were encouraging, but it's just a small dot in the
vast space of possibilities, so yes, we need people to try it out.

[ Maybe we'll need to offer two kinds of `derived-mode-p` and
  `derived-mode-all-parents`: one which pays attention only to the "true
  inherited parents" and another that's more permissive and includes the 
  extra parents.  I'm crossing my fingers, hoping that it won't come to
  that.  ]

        Stefan